Bug 1624292 - Icons in Xfce menu are absurdly big
Summary: Icons in Xfce menu are absurdly big
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: garcon
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F29BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-08-31 07:46 UTC by Miro Hrončok
Modified: 2018-09-11 12:44 UTC (History)
5 users (show)

Fixed In Version: garcon-0.6.1-21.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-11 12:44:51 UTC


Attachments (Terms of Use)
screenshot 1 (69.21 KB, image/png)
2018-08-31 07:49 UTC, Miro Hrončok
no flags Details
screenshot 2 (85.39 KB, image/png)
2018-08-31 07:49 UTC, Miro Hrončok
no flags Details
screenshot 3 (56.70 KB, image/png)
2018-08-31 07:50 UTC, Miro Hrončok
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1626757 None None None Never

Internal Links: 1626757

Description Miro Hrončok 2018-08-31 07:46:30 UTC
xfce4-panel-4.13.3-20.fc29.x86_64


This looks similar to https://bugzilla.gnome.org/show_bug.cgi?id=686514 but is not just xpm but png as well.

Apparently, the following items are afected:

/usr/share/applications/qt4-qtconfig.desktop (Icon=qt4-logo)
/usr/share/applications/qt4-designer.desktop (Icon=designer)
/usr/share/applications/qt5-designer.desktop (Icon=designer-qt5)
/usr/share/applications/cura.desktop (Icon=cura-icon)
/usr/share/applications/lftp.desktop (Icon=lftp-icon)
/usr/share/applications/xfce-keyboard-settings.desktop (Icon=preferences-desktop-keyboard)


/usr/share/icons/hicolor/128x128/apps/designer.png
/usr/share/icons/hicolor/128x128/apps/qt4-logo.png
/usr/share/icons/hicolor/128x128/apps/designer-qt5.png
/usr/share/icons/hicolor/128x128/apps/cura-icon.png
/usr/share/icons/hicolor/48x48/apps/lftp-icon.png

No idea for the keybord icon:
/usr/share/icons/gnome-colors-common/16x16/apps/preferences-desktop-keyboard.png
/usr/share/icons/gnome-colors-common/22x22/apps/preferences-desktop-keyboard.png
/usr/share/icons/gnome-colors-common/24x24/apps/preferences-desktop-keyboard.png
/usr/share/icons/gnome-colors-common/32x32/apps/preferences-desktop-keyboard.png
/usr/share/icons/gnome-colors-common/scalable/apps/preferences-desktop-keyboard.svg


There are more (Chromium, DB Server for SQLite, Cool Retro term, Video4Linux Control Panel)...

Comment 1 Miro Hrončok 2018-08-31 07:49:27 UTC
Created attachment 1480039 [details]
screenshot 1

Comment 2 Miro Hrončok 2018-08-31 07:49:54 UTC
Created attachment 1480040 [details]
screenshot 2

Comment 3 Miro Hrončok 2018-08-31 07:50:20 UTC
Created attachment 1480041 [details]
screenshot 3

Comment 4 Miro Hrončok 2018-08-31 07:51:54 UTC
Oh not, /usr/share/applications/xfce-keyboard-settings.desktop
 - it is 

/usr/share/applications/system-config-keyboard.desktop (Icon=system-config-keyboard)

/usr/share/icons/hicolor/48x48/apps/system-config-keyboard.png

Comment 5 Raphael Groner 2018-08-31 15:59:16 UTC
What icons theme is configured? You can check with xfce4-appearance-settings.
https://wiki.xfce.org/howto/install_new_themes

Comment 6 Miro Hrončok 2018-08-31 16:00:47 UTC
This is icon theme agnostic.

Comment 7 Raphael Groner 2018-08-31 16:03:43 UTC
Well, I know similiar issues from prior versions so I guessed a configuration issue in first run. Some themes fail to properly set a fallback to hicolor for missing icon files.

Comment 8 Raphael Groner 2018-08-31 16:05:53 UTC
Menu and its icons are handled in garcon. Reassigning.
https://wiki.xfce.org/dev/garcon
https://wiki.xfce.org/releng/4.14/roadmap/garcon

Comment 9 Mukundan Ragavan 2018-08-31 23:20:07 UTC
This is an issue that crops up when gtk-2 applications show icons in gtk-3 environment - if I understand correctly.

We fixed this somehow in the past. Trying to recall...

Comment 10 Fedora Blocker Bugs Application 2018-09-01 04:56:13 UTC
Proposed as a Freeze Exception for 29-beta by Fedora user raphgro using the blocker tracking app because:

 Assuming the Xfce Testcase [*] applies. Not all icons are correctly displayed with the default Fedora theme. There's an update in preparation.

Comment 12 Fedora Update System 2018-09-07 23:26:19 UTC
garcon-0.6.1-21.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c4f721db41

Comment 13 Mukundan Ragavan 2018-09-07 23:27:14 UTC
Try the update and add karma on bodhi please.

Comment 14 Fedora Update System 2018-09-08 16:11:37 UTC
garcon-0.6.1-21.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c4f721db41

Comment 15 René Genz 2018-09-09 20:59:29 UTC
for the record:
* in screenshot 2 the program menu is:
Accessories -- DB Browser for SQLite
Development -- DB Browser for SQLite
program `sqlitebrowser` from package sqlitebrowser with files:
/usr/share/applications/sqlitebrowser.desktop
/usr/share/icons/hicolor/256x256/apps/sqlitebrowser.png
=> resolution of file is OK

* in screenshot 3 the program menu is:
Multimedia -- Video4Linux Control Panel
program `v4l2ucp` from package v4l2ucp with files:
/usr/share/applications/v4l2ucp.desktop
/usr/share/icons/hicolor/128x128/apps/v4l2ucp.png
=> resolution of file is OK



garcon-0.6.1-21 also fixes problems with icons that have different dimensions than the folder they are in, f.i.
Internet -- Gitso
`gitso` from package gitso with files:
/usr/share/applications/gitso.desktop
/usr/share/icons/hicolor/128x128/apps/gitso.png
=> PNG file is a 512x512 px in a 128x128 folder, see RHBZ#1223943

Comment 16 Adam Williamson 2018-09-10 22:47:54 UTC
Discussed at 2018-09-10 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-09-10/f29-blocker-review.2018-09-10-16.01.html . Accepted as a freeze exception issue as a prominent cosmetic issue in a release-blocking desktop.

Comment 17 Fedora Update System 2018-09-11 12:44:51 UTC
garcon-0.6.1-21.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.